/*
 * @Author: Kane
 * @Date: 2023-09-06 10:59:45
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/rewards/RewardProjectsResponse.java
 * @Description: 奖励项目请求结果
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.rewards;

import com.cpic.xim.mybatis.pojo.RewardProject;
import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.ArrayList;

public class RewardProjectsResponse extends QueryResponse
{
    public RewardProjectsResponse( boolean success, String message,
            ArrayList<RewardProject> rewardList)
    {
        super( success, message );

        this.rewardList = rewardList;
    }

    public RewardProjectsResponse()
    {
        super();

        this.rewardList = null;
    }

    public ArrayList<RewardProject> getRewardList()
    {
        return rewardList;
    }

    public void setRewardList( ArrayList<RewardProject> rewardList )
    {
        this.rewardList = rewardList;
    }

    @JsonProperty("rewardList")
    private ArrayList<RewardProject> rewardList;
}